API Reference
Receiving Discrepancies
2 endpoints· Auth: JWT or API Key
get
/api/v1/console/receiving-discrepancies JWT API KeyGet receiving-discrepancies
Query parameters
| From string (date) | — |
| To string (date) | — |
| InventoryItemId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/receiving-discrepancies" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/receiving-discrepancies JWT API KeyCreate receiving-discrepancies
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"purchaseInvoiceItemId": "00000000-0000-0000-0000-000000000000",
"orderedQty": 0,
"receivedQty": 0,
"unitCostIqd": 0,
"businessDate": "2026-09-30",
"note": "string"
}| inventoryItemId string (uuid) | — |
| purchaseInvoiceItemId string (uuid) | — |
| orderedQty number (double) | — |
| receivedQty number (double) | — |
| unitCostIqd number (double) | — |
| businessDate string (date) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/receiving-discrepancies" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"purchaseInvoiceItemId": "00000000-0000-0000-0000-000000000000",
"orderedQty": 0,
"receivedQty": 0,
"unitCostIqd": 0,
"businessDate": "2026-09-30",
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu